org.apache.pdfbox.filter

## Class DecodeResult

- java.lang.Object
- - org.apache.pdfbox.filter.DecodeResult

    public final class DecodeResult
    extends Object

The result of a filter decode operation. Allows information such as color space to be extracted from image streams, and for stream parameters to be repaired during reading.

Author:
  John Hewson

### Field Summary

Fields
`static DecodeResult` `DEFAULT` Default decode result.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDJPXColorSpace` `getJPXColorSpace()` Returns the embedded JPX color space, if any.
`BufferedImage` `getJPXSMask()`
`COSDictionary` `getParameters()` Returns the stream parameters, repaired using the embedded stream data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final DecodeResult DEFAULT

Default decode result.

### Method Detail

#### getParameters

    public COSDictionary getParameters()

Returns the stream parameters, repaired using the embedded stream data.

Returns:
  the repaired stream parameters, or an empty dictionary

#### getJPXColorSpace

    public PDJPXColorSpace getJPXColorSpace()

Returns the embedded JPX color space, if any.

Returns:
  the embedded JPX color space, or null if there is none.

#### getJPXSMask

    public BufferedImage getJPXSMask()